commit:     ddeab3aee694fb7958cda84bdc363bfaed62d72d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 14 18:27:03 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Jul 14 18:27:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddeab3ae

dev-python/jaraco-text: add 3.8.1

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/jaraco-text/Manifest                 |  1 +
 dev-python/jaraco-text/jaraco-text-3.8.1.ebuild | 59 +++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/jaraco-text/Manifest b/dev-python/jaraco-text/Manifest
index 9ef0d60c9f0f..485df5ca46f1 100644
--- a/dev-python/jaraco-text/Manifest
+++ b/dev-python/jaraco-text/Manifest
@@ -1 +1,2 @@
 DIST jaraco.text-3.8.0.tar.gz 13078 BLAKE2B 
0c081fea1bc20150347636c46b489d4c09ab0c553d44b9f68c4e2d7b3ca35574801a740d4b907f03956a6817ba0ecc07945809c1619248563bb29974b0448577
 SHA512 
3526f1371d8f2e7c79dff61941b1b4ead3d0f4b5144f0e22dbd098ec244b9ffddba4bbeaa0d817a80ff422fa5c7ae11d0959d3f56044d7c5f95d8c8a5de8ad2f
+DIST jaraco.text-3.8.1.tar.gz 14160 BLAKE2B 
3f8af8881665a8eb9876ae3c76ccaa68f3c58f402e1761956235bda2089e6c5e72f7968ce7fd9dd7b8dc31a08228a715c8c715dc5a93e4453af1b94c2253bce6
 SHA512 
2dfdd2b3bfef7c0a38a633b810a63a4337ce79b0c871f08beb369bea04585ef1b9e53afa7cef0b54c172ca25eed068af92215526d2f5cee232ccf7e72c914cfa

diff --git a/dev-python/jaraco-text/jaraco-text-3.8.1.ebuild 
b/dev-python/jaraco-text/jaraco-text-3.8.1.ebuild
new file mode 100644
index 000000000000..0a28f2d6bd8d
--- /dev/null
+++ b/dev-python/jaraco-text/jaraco-text-3.8.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Text utilities used by other projects by developer jaraco"
+HOMEPAGE="
+       https://github.com/jaraco/jaraco.text/
+       https://pypi.org/project/jaraco.text/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       >=dev-python/jaraco-context-4.1.1-r1[${PYTHON_USEDEP}]
+       >=dev-python/jaraco-functools-3.5.0-r1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/importlib_resources-5.4.0-r3[${PYTHON_USEDEP}]
+       ' 3.8)
+"
+
+distutils_enable_sphinx docs \
+       ">=dev-python/jaraco-packaging-3.2" \
+       ">=dev-python/rst-linker-1.9"
+distutils_enable_tests pytest
+
+src_configure() {
+       grep -q 'build-backend = "setuptools' pyproject.toml ||
+               die "Upstream changed build-backend, recheck"
+       # write a custom pyproject.toml to ease setuptools bootstrap
+       cat > pyproject.toml <<-EOF || die
+               [build-system]
+               requires = ["flit_core >=3.2,<4"]
+               build-backend = "flit_core.buildapi"
+
+               [project]
+               name = "jaraco.text"
+               version = "${PV}"
+               description = "Module for text manipulation"
+       EOF
+}
+
+python_install() {
+       distutils-r1_python_install
+       # rename to workaround a bug in pkg_resources
+       # https://bugs.gentoo.org/834522
+       mv "${D}$(python_get_sitedir)"/jaraco{_,.}text-${PV}.dist-info || die
+}

Reply via email to